Source: libhtml-formfu-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>,
           Salvatore Bonaccorso <carnil@debian.org>,
           gregor herrmann <gregoa@debian.org>,
           Florian Schlichting <fsfs@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libfile-sharedir-install-perl
Build-Depends-Indep: libcgi-pm-perl <!nocheck>,
                     libcgi-simple-perl <!nocheck>,
                     libclone-perl <!nocheck>,
                     libconfig-any-perl <!nocheck>,
                     libdata-visitor-perl <!nocheck>,
                     libdatetime-format-builder-perl <!nocheck>,
                     libdatetime-format-natural-perl <!nocheck>,
                     libdatetime-format-strptime-perl <!nocheck>,
                     libdatetime-locale-perl <!nocheck>,
                     libdatetime-perl <!nocheck>,
                     libdbix-class-perl <!nocheck>,
                     libemail-valid-perl <!nocheck>,
                     libfile-sharedir-perl,
                     libhash-flatten-perl <!nocheck>,
                     libhtml-scrubber-perl <!nocheck>,
                     libhtml-tokeparser-simple-perl <!nocheck>,
                     libjson-maybexs-perl <!nocheck>,
                     liblist-moreutils-perl <!nocheck>,
                     libmoose-perl <!nocheck>,
                     libmoosex-aliases-perl <!nocheck>,
                     libmoosex-attribute-chained-perl <!nocheck>,
                     libnumber-format-perl <!nocheck>,
                     libpath-class-perl <!nocheck>,
                     libreadonly-perl <!nocheck>,
                     libregexp-assemble-perl <!nocheck>,
                     libregexp-common-perl <!nocheck>,
                     libscalar-list-utils-perl <!nocheck>,
                     libtask-weaken-perl <!nocheck>,
                     libtest-exception-perl <!nocheck>,
                     libtest-requiresinternet-perl <!nocheck>,
                     libwww-perl <!nocheck>,
                     libyaml-libyaml-perl <!nocheck>,
                     perl
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libhtml-formfu-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libhtml-formfu-perl.git
Homepage: https://github.com/FormFu/HTML-FormFu
Rules-Requires-Root: no

Package: libhtml-formfu-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libcgi-pm-perl,
         libclone-perl,
         libconfig-any-perl,
         libdata-visitor-perl,
         libdatetime-format-builder-perl,
         libdatetime-format-natural-perl,
         libdatetime-format-strptime-perl,
         libdatetime-locale-perl,
         libdatetime-perl,
         libemail-valid-perl,
         libfile-sharedir-perl,
         libhash-flatten-perl,
         libhtml-scrubber-perl,
         libhtml-tokeparser-simple-perl,
         libjson-maybexs-perl,
         liblist-moreutils-perl,
         libmoose-perl,
         libmoosex-aliases-perl,
         libmoosex-attribute-chained-perl,
         libnumber-format-perl,
         libpath-class-perl,
         libreadonly-perl,
         libregexp-assemble-perl,
         libregexp-common-perl,
         libscalar-list-utils-perl,
         libtask-weaken-perl,
         libwww-perl,
         libyaml-libyaml-perl
Suggests: libcgi-simple-perl,
          libhtml-formfu-model-dbic-perl
Description: HTML form creation, rendering and validation framework
 HTML::FormFu is a HTML form framework which aims to be as easy as
 possible to use for basic web forms, but with the power and flexibility
 to do anything else you might want to do (as long as it involves forms).
 .
 You can configure almost any part of formfu's behaviour and output. By
 default formfu renders "XHTML 1.0 Strict" compliant markup, with as
 little extra markup as possible, but with sufficient CSS class names to
 allow for a wide-range of output styles to be generated by changing only
 the CSS.
